Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.tf
Class QDataClass

    java.lang.Object
      |
      +--com.jxml.quick.tf.QDataClass

All Implemented Interfaces:
  QTargetFactory

public class QDataClass
extends Object
implements QTargetFactory

Field Summary
`static Class` | `aware`
`protected Constructor` | `constructor`
`protected static Class[]` | `constructorParamClasses`
`boolean` | `isAware`
`boolean` | `isQName`
`static Class` | `qname`
`ArrayList` | `values`
`Class` | `wClass`
`String` | `wClassName`

Constructor Summary
`QDataClass()`
`QDataClass(String wClassName)`

Method Summary
`void` | `add(Object object, String name, String text, QAccess access, Object parent, QTargetFactory parentFactory, QContext context)`
`Object` | `create(QContext context)`
`Field[]` | `getFields(QContext context)`
`String` | `getName(Object object)`
`PropertyDescriptor[]` | `getPropertyDescriptors(QContext context)`
`String` | `getText(Object object, QContext context)`
`boolean` | `isInstance(Object object, QContext context)`
`String` | `toString()`
`void` | `validate(String text, QContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### wClass

    public Class wClass

### wClassName

    public String wClassName

### values

    public ArrayList values

### constructorParamClasses

    protected static Class[] constructorParamClasses

### constructor

    protected Constructor constructor

### isQName

    public boolean isQName

### isAware

    public boolean isAware

### aware

    public static Class aware

### qname

    public static Class qname

Constructor Detail

### QDataClass

    public QDataClass()

### QDataClass

    public QDataClass(String wClassName)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### create

    public Object create(QContext context)
                  throws QPE

  Specified by:
    `create` in interface `QTargetFactory`

### isInstance

    public boolean isInstance(Object object,
                              QContext context)
                       throws QPE

  Specified by:
    `isInstance` in interface `QTargetFactory`

### getName

    public String getName(Object object)

  Specified by:
    `getName` in interface `QTargetFactory`

### validate

    public void validate(String text,
                         QContext context)
                  throws QPE

### getText

    public String getText(Object object,
                          QContext context)
                   throws QPE

  Specified by:
    `getText` in interface `QTargetFactory`

### add

    public void add(Object object,
                    String name,
                    String text,
                    QAccess access,
                    Object parent,
                    QTargetFactory parentFactory,
                    QContext context)
             throws QPE

  Specified by:
    `add` in interface `QTargetFactory`

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors(QContext context)
                                                throws QPE

  Specified by:
    `getPropertyDescriptors` in interface `QTargetFactory`

### getFields

    public Field[] getFields(QContext context)
                      throws QPE

  Specified by:
    `getFields` in interface `QTargetFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD